javax.swing.plaf.basic

## Class BasicInternalFrameUI.ComponentHandler

- java.lang.Object
- - javax.swing.plaf.basic.BasicInternalFrameUI.ComponentHandler

All Implemented Interfaces:
  ComponentListener, EventListener

Enclosing class:
  BasicInternalFrameUI

    protected class BasicInternalFrameUI.ComponentHandler
    extends Object
    implements ComponentListener

### Constructor Summary

Constructors
`protected` `ComponentHandler()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `componentHidden(ComponentEvent e)` Invoked when the component has been made invisible.
`void` `componentMoved(ComponentEvent e)` Invoked when the component's position changes.
`void` `componentResized(ComponentEvent e)` Invoked when a JInternalFrame's parent's size changes.
`void` `componentShown(ComponentEvent e)` Invoked when the component has been made visible.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ComponentHandler

    protected ComponentHandler()

### Method Detail

#### componentResized

    public void componentResized(ComponentEvent e)

Invoked when a JInternalFrame's parent's size changes.

Specified by:
  `componentResized` in interface `ComponentListener`

#### componentMoved

    public void componentMoved(ComponentEvent e)

Description copied from interface: `ComponentListener`
Invoked when the component's position changes.

Specified by:
  `componentMoved` in interface `ComponentListener`

#### componentShown

    public void componentShown(ComponentEvent e)

Description copied from interface: `ComponentListener`
Invoked when the component has been made visible.

Specified by:
  `componentShown` in interface `ComponentListener`

#### componentHidden

    public void componentHidden(ComponentEvent e)

Description copied from interface: `ComponentListener`
Invoked when the component has been made invisible.

Specified by:
  `componentHidden` in interface `ComponentListener`